import request from '@/utils/request'


// 获取首页信息
export function storeList(data) {
	return request({
		url: '/api/store_list',
		method: 'get',
		data
	});
}

// 订单数据统计
export function statistics(data) {
	return request({
		url: '/api/admin/order/statistics',
		method: 'get',
		data
	});
}


// 订单列表
export function shopOrderList(data) {
	return request({
		url: '/api/admin/order/list',
		method: 'get',
		data
	});
}


// 订单详情
export function shopOrderDetai(data,orderid) {
	return request({
		url: '/api/admin/order/detai/'+orderid,
		method: 'get',
		data
	});
}


// 订单发货（普通商品）
export function deliveryGain(data,orderid) {
	return request({
		url: '/api/admin/order/delivery/gain/'+orderid,
		method: 'get',
		data
	});
}



// 订单发货
export function delivery(data) {
	return request({
		url: '/api/admin/order/delivery/keep',
		method: 'get',
		data
	});
}

// 订单退款（普通商品）
export function refund(data) {
	return request({
		url: '/api/admin/order/refund',
		method: 'get',
		data
	});
}


// 订单核销（普通商品）
export function order_verific(data) {
	return request({
		url: '/api/order/order_verific',
		method: 'get',
		data
	});
}


// 门店资金
export function funds(data) {
	return request({
		url: '/api/admin/funds',
		method: 'get',
		data
	});
}

// 车辆报修
export function question(data) {
	return request({
		url: '/api/admin/car/question',
		method: 'post',
		data
	});
}
// 车辆报修详情
export function questionInfo(data) {
	return request({
		url: '/api/admin/question/info',
		method: 'get',
		data
	});
}
// 车辆发货
export function set_car_number(data) {
	return request({
		url: '/api/admin/car/set_car_number',
		method: 'post',
		data
	});
}
// 订单查询
export function orderDetail(data,id) {
	return request({
		url: '/api/admin/order/detail/'+id,
		method: 'get',
		data
	});
}

// 车辆批次
export function batch(data) {
	return request({
		url: '/api/car/batch',
		method: 'get',
		data
	});
}
// 车辆类型
export function carType(data) {
	return request({
		url: '/api/car/type',
		method: 'get',
		data
	});
}

// 获取自己所属的门店信息
export function adminStore(data) {
	return request({
		url: '/api/admin/store',
		method: 'get',
		data
	});
}


// 维修人员列表
export function adminKf(data) {
	return request({
		url: '/api/admin/kf',
		method: 'get',
		data
	});
}
// 安排维修人员
export function schedule_task(data) {
	return request({
		url: '/api/admin/schedule_task',
		method: 'post',
		data
	});
}

// 员工我的任务
export function task(data) {
	return request({
		url: '/api/admin/task',
		method: 'post',
		data
	});
}
// 处理任务
export function tasksave(data) {
	return request({
		url: '/api/admin/tasksave',
		method: 'post',
		data
	});
}

// 处理任务
export function detail(data,id) {
	return request({
		url: '/api/admin/order/detail/'+id,
		method: 'get',
		data
	});
}



